%define name	luola
%define version	1.0.2
%define release	1mdk
%define summary	Fly a small V shaped ship in a 2D arcade game

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.saunalahti.fi/~laakkon1/linux/luola/bin/%{name}-%{version}.tar.bz2
Source1:	%{name}.stdlevels.tar.bz2
Source2:	%{name}.demolevel.tar.bz2
Source3:	%{name}.16x16.png.bz2
License:	GPL
Group:		Games/Arcade
URL:		http://www.saunalahti.fi/~laakkon1/linux/luola/index.php
Packager:	Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libSDL-devel libSDL_image-devel libSDL_mixer-devel

%description
Luola is a 2D arcade game where you fly a small V shaped ship in different
kinds of levels. It's genre "Luolalentely" (Cave-flying) is (or was) very
popular in Finland. Though cavern-flying games are not originally
Finnish, nowdays most of them are.

%prep
%setup -q
tar -jxf %{SOURCE1} -C data/levels
tar -jxf %{SOURCE2} -C data/levels
mv data/levels/LEVELPACK data/levels/LEVELS

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--host=%{_target_platform} \
                --target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--bindir=%_gamesbindir \
		--enable-sdl-gfx 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m644 data/levels/*.png %{buildroot}%_datadir/%name/levels/
%find_lang %{name}

#Menu items
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Luola"\
		  longtitle="%summary"
EOF
#Icons
install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
bzcat %{SOURCE3} > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
install -m644 %{name}32.png ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
install -m644 %{name}48.png ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png
											  
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS
%{_gamesbindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Dec 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Dec 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Mon Nov 11 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.9.9-1mdk
- 0.9.9
- Move stuff to correct places
- Add levels(they were split from the sourcecode package in 0.9.9)
- Updated description(we don't live in Finland, now do we?;)
- Add menuitem
- Add icons
- Updated build stage

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-4mdk
- rebuild

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-3mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-2mdk
- rebuild for new alsa

* Thu Mar 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-1mdk
- first mdk package
